<?php 
/*
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Allow-Headers: Content-Type, Content-Length, Accept-Encoding");
*/
include('casa/setup.casa.php'); 
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />	
	<meta content="<?php echo AppName; ?>" name="keywords">
    <meta content="<?php echo AppName; ?>, Diseñado por: CASA SmartApps 2022, contactos (591) 77596357" name="description">    
	<link rel="icon" href="<?php echo PATH_HOME ?>assets/img/icon.png" type="image/x-icon"/>
	<meta content='width=device-width, initial-scale=1.0, shrink-to-fit=no' name='viewport' />
<script src="<?php echo PATH_HOME ?>assets/js/plugin/webfont/webfont.min.js"></script>
	<script>
		WebFont.load({
			custom: {"families":["Flaticon", "Font Awesome 5 Solid", "Font Awesome 5 Regular", "Font Awesome 5 Brands", "simple-line-icons"], urls: ['<?php echo PATH_HOME ?>assets/css/fonts.min.css']},
			active: function() {sessionStorage.fonts = true;}
		});
	</script>
	<link rel="stylesheet" href="<?php echo PATH_HOME ?>assets/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo PATH_HOME ?>assets/css/atlantis.min.css">
	<link rel="stylesheet" href="<?php echo PATH_HOME ?>assets/css/demo.css">
<script src="<?php echo PATH_HOME ?>assets/js/core/jquery.3.2.1.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/core/bootstrap.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-ui-1.12.1.custom/jquery-ui.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-ui-touch-punch/jquery.ui.touch-punch.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/datatables/datatables.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/atlantis.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/setting-demo.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/demo.js"></script>	
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-scrollbar/jquery.scrollbar.min.js"></script>
<?php 
$codigo_venta = DataForms::GET('id');
$cod_cliente = DataForms::GET('cod_cliente');
$contador_ventas = DataForms::GET('ven_numerolista');

$title = 'FACTURA';
echo "<title>".AppName.' - '.$title."</title>";

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND us.us_id='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
if($Ubicacion->next())
	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
else
	$ubica_nombre = 'Central';

$Cliente	= new DB();
$sqlCliente = "SELECT * FROM inventarios_clientes cli
WHERE cli.clie_codigo = '$cod_cliente';";
$Cliente->dbSQL($sqlCliente);
$Cliente->next();
	$clie_id = $Cliente->dbField('clie_id');
	$clie_codigo = $Cliente->dbField('clie_codigo');
	$clie_cinit = $Cliente->dbField('clie_cinit');
	$clie_nombres = $Cliente->dbField('clie_nombres');
	$clie_apellidos = $Cliente->dbField('clie_apellidos');
	$clie_destino = $Cliente->dbField('clie_destino');
	$clie_celular = $Cliente->dbField('clie_celular');
	$clie_puntolista = $Cliente->dbField('clie_puntolista');
	$clie_puntoentrega = $Cliente->dbField('clie_puntoentrega');
	$clie_personarecoge = $Cliente->dbField('clie_personarecoge');
	$clie_tipopagonombre = $Cliente->dbField('clie_tipopagonombre');
	$clie_descuento = $Cliente->dbField('clie_descuento');
	$clie_fecha = $Cliente->dbField('clie_fecha');
		$fec = explode(' ',$clie_fecha);
//	$ubicacion_nombre = $Cliente->dbField('ubica_nombre');
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	

.card-body{
	margin:4px;
	padding:0;
	border:3px solid #cccccc;
	border-radius:7px;
}
</style>

</head>
<body>
	
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
								<img src="<?php echo PATH_HOME.'assets/img/logo3.jpg';?>" width='100%'>
									<div class="card-title" align=center><h1><b><?php echo $title?></b></h1></div>
								</div>
								<div class="card-body">
									<h3>N°: 0000<?php echo $contador_ventas;?></h3>
									<div class="row">										
										<div class="col-md-4 col-lg-3">
											<div class="form-group form-group-default">
												<b>Cliente:</b> <?php echo $clie_nombres.' '.$clie_apellidos ?><br>
												<b>CI/NIT: </b> <?php echo $clie_cinit ?><br>
												<b>Destino: </b> <?php echo $clie_destino ?><br>
												<b>Celular: </b> <?php echo $clie_celular ?>
											</div>																																
										</div>									
										<div class="col-md-4 col-lg-3">
											<div class="form-group form-group-default">
												<b>Punto realización de Lista: </b> <?php echo $clie_puntolista ?><br>
												<b>Punto de Entrega Mercadería: </b> <?php echo $ubica_nombre ?><br>
												<b>Persona que recoge la Mercadería: </b>  <?php echo $clie_personarecoge ?><br>
												<b>Tipo de Pago: </b>  <?php echo $clie_tipopagonombre ?>												
											</div>	
										</div>		
										<div class="col-md-4 col-lg-3">
											<div class="form-group form-group-default">
												<b>Fecha: </b> <?php echo $fec[0] ?><br>
												<b>Hora: </b> <?php echo $fec[1] ?><br>	
											</div>																																			
										</div>
									</div>
									<div class="col-md-12 col-lg-12">
									<table class="display table table-striped">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>ubicacion</th>
													<th>cajas</th>
													<th>u</th>												
													<th>precio u</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
											
												$ubica_nombre = str_replace(' ','&nbsp;',$db->dbField('ubica_nombre'));	
												$ubica_color = $db->dbField('ubica_color');													

												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_observaciones = $db->dbField('prod_observaciones');

												$ven_tipo = $db->dbField('ven_tipo');
												//ventas
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
												

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td><b>'.$prod_nombre.'</b><br>
													'.$prod_observaciones.'</td>';
													$html.='<td align=center>
														<span style="background:'.$ubica_color.';padding:9px 14px;font-weight:bold;border-radius:11px;border:1px solid black;">'.$ubica_nombre.'</span></td>';
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
												$html.='</tr>';											
												
											}//wend() 

											$html.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($clie_descuento,2).'</h3></td></tr>';
											$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$clie_descuento),2).'</b></h3></td></tr>';
										
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>											
											<div id='res'></div>							
											<div id='res2'></div>
									</div>
								</div>								
							</div>
						</form>
						</div>
					</div>
				</div>
			</div>
			<?php include('inc_pie.php');?>
		
</body>
</html>
<script>
$(document).ready(function(){
	var objJSON = {"solicitud": {
    "codigoModalidad": 2,
    "codigoEmision": 1,
    "codigoDocumentoSector": 1,
    "codigoSucursal": 0,
    "codigoAmbiente": 2,
    "codigoPuntoVenta": 0,
    "codigoActividad": 464300,
    "nitEmisor": "351094029",
    "codigoTipoEvento": 0,
    "leyenda": "prueba factura sys",
    "numeroDocumento": "9001",
    "codigoTipoDocumento": 1,
    "complementoDocumento": "XS4",
    "razonSocial": "S/N",
   // "correoCliente": "",
    //"fechaEmision": "",
    //"numeroFactura": "",
    //"formatoPdf": ""1, 2carta
  },"cabecera": {
    "nitEmisor": 351094029,
    "razonSocialEmisor": "Importadora S&S Arturo Srl",
    "municipio": "La Paz",
    "telefono": "0123123",
    //"numeroFactura": 1,
   // "cuf": "123456789",
    //"cufd": "123456789",
    "codigoSucursal": 0,
    "direccion": "Calle 1",
    "codigoPuntoVenta": 0,
    //"fechaEmision": "2023-01-01T00:00:00.000Z",
    "nombreRazonSocial": "Importadora S&S Arturo Srl",
    "codigoTipoDocumentoIdentidad": 1,
    "numeroDocumento": "123456789",
    "complemento": "Complemento",
    "codigoCliente": "0",
    "codigoMetodoPago": 0,
    "numeroTarjeta": 0,
    "montoTotal": 0,
    "montoTotalSujetoIva": 0,
    "codigoMoneda": 0,
    "tipoCambio": 0,
    "montoTotalMoneda": 0,
    "montoGiftCard": 0,
    "descuentoAdicional": 0,
    "codigoExcepcion": 0,
    "cafc": null,
    "leyenda": "prueba sys",
    "usuario": "JPEREZ",
    "codigoDocumentoSector": 0,
    "camposAdicionales": []
  },
  "detalle": [{
      "actividadEconomica": 464300,
      "codigoProductoSin": 1554,
      "codigoProducto": "JDOD444G",
      "descripcion": "prueba productos",
      "cantidad": 1,
      "unidadMedida": 0,
      "precioUnitario": 0,
      "montoDescuento": 0,
      "subTotal": 0,
      "camposAdicionales":[]
    }],
  "extraInfo": []
};
	postData("https://e-docs-api.iathings.com/api/v1/invoice-utils/parametricas",{
		"codigoPuntoVenta": 0,
		"codigoSucursal": 0,
		"codigoAmbiente": 2,
		"codigoModalidad": 2,
		"nit": 351094029
	}).then((data) => {
		$('#res').html('<h1 align=center>'+data.message+'</h1>');
	});
	postData("https://e-docs-api.iathings.com/api/v1/invoice-utils/third-party-create",objJSON).then((data) => {
		$('#res2').html('<h1 align=center>'+data.message+'</h1>');
	});
	
});

async function postData(url="", data = {}) {
  const response = await fetch(url, {
    method: "POST", 
    mode: "cors", 
    cache: "no-cache", 
    credentials: "same-origin", 
    headers: {
      "Content-Type": "application/json",
      'api_key': 'c496af35edeb81a1378e6fd5e311dbbf463fc76326ee4303901d4cc378134b82d1dacd86eeccfd3453d8b3ed16b18bd9e152129ccd53c04994e1b9b072a6ddb9254c07b25866c0b7cca60aa920105e4e7197c4fb2ccaa237b87029f0657a01392aa613f8ef17a8c901d21c8a9d5b9a102b0804db99ce823d9ce3d08af14bb1e61f8b84e84951bfa20da1aebb39245d33ce18476b386437bcf4c25dabb5133d72d6e3a1c299c1baffd0163f7b35c34ac9a0904f53a5c5fd5a5e02d3d8d2b67eb39c240dccdad0c8bd166c0219c01d0df2403ffb83abf0267e592637ffb1d0d2eaf7daeb1067073882efe9a833f22334e960e075e69e7659186c62628aea4ac966430a140ffad82e0fb967cc7481d69d'
    },redirect: "follow",
    referrerPolicy: "no-referrer", 
    body: JSON.stringify(data) 
  });
  return response.json();
}
</script>